org.apache.ignite.internal.visor.verify

## Class VisorValidateIndexesJobResult

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.verify.VisorValidateIndexesJobResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorValidateIndexesJobResult
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`VisorValidateIndexesJobResult()` For externalization only.
`VisorValidateIndexesJobResult(Map<PartitionKey,ValidateIndexesPartitionResult> partRes, @Nullable Map<String,ValidateIndexesPartitionResult> idxRes, @Nullable Collection<IndexIntegrityCheckIssue> integrityCheckFailures, @Nullable Map<String,ValidateIndexesCheckSizeResult> checkSizeRes)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,ValidateIndexesCheckSizeResult>` `checkSizeResult()` Return results of checking size cache and index.
`boolean` `hasIssues()`
`Map<String,ValidateIndexesPartitionResult>` `indexResult()`
`Collection<IndexIntegrityCheckIssue>` `integrityCheckFailures()`
`Map<PartitionKey,ValidateIndexesPartitionResult>` `partitionResult()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorValidateIndexesJobResult

    public VisorValidateIndexesJobResult(Map<PartitionKey,ValidateIndexesPartitionResult> partRes,
                                         @Nullable
                                         @Nullable Map<String,ValidateIndexesPartitionResult> idxRes,
                                         @Nullable
                                         @Nullable Collection<IndexIntegrityCheckIssue> integrityCheckFailures,
                                         @Nullable
                                         @Nullable Map<String,ValidateIndexesCheckSizeResult> checkSizeRes)

Constructor.

Parameters:
  `partRes` - Results of indexes validation from node.
  `idxRes` - Results of reverse indexes validation from node.
  `integrityCheckFailures` - Collection of indexes integrity check failures.
  `checkSizeRes` - Results of checking size cache and index.

#### VisorValidateIndexesJobResult

    public VisorValidateIndexesJobResult()

For externalization only.

### Method Detail

#### partitionResult

    public Map<PartitionKey,ValidateIndexesPartitionResult> partitionResult()

Returns:
  Results of indexes validation from node.

#### indexResult

    public Map<String,ValidateIndexesPartitionResult> indexResult()

Returns:
  Results of reverse indexes validation from node.

#### integrityCheckFailures

    public Collection<IndexIntegrityCheckIssue> integrityCheckFailures()

Returns:
  Collection of failed integrity checks.

#### checkSizeResult

    public Map<String,ValidateIndexesCheckSizeResult> checkSizeResult()

Return results of checking size cache and index.

Returns:
  Results of checking size cache and index.

#### hasIssues

    public boolean hasIssues()

Returns:
  `true` If any indexes issues found on node, otherwise returns `false`.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022